<?php

namespace app\admin\controller\school\activity\order;

use app\common\controller\Backend;

/**
 * 活动订单详情
 *
 * @icon fa fa-circle-o
 */
class OrderDetail extends Backend
{

    /**
     * OrderDetail模型对象
     * @var \app\admin\model\school\activity\order\OrderDetail
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\school\activity\order\OrderDetail;
        $this->view->assign("recommendList", $this->model->getRecommendList());
        $this->view->assign("hotList", $this->model->getHotList());
        $this->view->assign("newList", $this->model->getNewList());
        $this->view->assign("addTypeList", $this->model->getAddTypeList());
        $this->view->assign("feelList", $this->model->getFeelList());
        $this->view->assign("cateListJson", json_encode((new \app\admin\model\school\activity\Activity)->getCateList(), JSON_UNESCAPED_UNICODE));
    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */


    /**
     * 查看
     */
    public function index()
    {
        //当前是否为关联查询
        $this->relationSearch = true;


        $this->searchFields = ["id","order.refund_error","order.refund_no","order.order_no","order.pay_no","title","user.nickname","user.realname","user.mobile"];



        //设置过滤方法
        $this->request->filter(['strip_tags', 'trim']);
        if ($this->request->isAjax()) {
            //如果发送的来源是Selectpage，则转发到Selectpage
            if ($this->request->request('keyField')) {
                return $this->selectpage();
            }
            list($where, $sort, $order, $offset, $limit) = $this->buildparams();

            $list = $this->model
                    ->with(['user','order','activity'])
                    ->where($where)
                    ->order($sort, $order)
                    ->paginate($limit);

            foreach ($list as $row) {
                
                $row->getRelation('user')->visible(['nickname','realname','mobile','avatar']);
				$row->getRelation('order')->visible(['order_no',"totalprice","num"]);
				$row->getRelation('activity')->visible(['title']);
            }

            $result = array("total" => $list->total(), "rows" => $list->items());

            return json($result);
        }
        return $this->view->fetch();
    }

}
